body {
    margin: 0;
    padding: 0;
    font-family: 'Outfit', sans-serif;
    font-size: 18px;
    font-weight: 400;
    color: #414141;
    line-height: 1.5;
    margin: 0 auto;
}

.nav-toggle {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    padding-right: 30px;
    position: relative;
    z-index: 1001;
}

h1 {
    font-family: 'New Amsterdam', sans-serif;
    font-size: 48px;
    font-weight: 400;
    color: #144136;
    text-align: center;
    letter-spacing: 0.1em;
    margin-top: 0px;
}

.marquee {
    width: 100%;
    overflow: hidden;
    background: #D4414F;
    padding: 10px 0;
}


.marquee-content {
    display: flex;
    animation: marquee 20s linear infinite;
}

.marquee-item {
    flex-shrink: 0;
    padding: 0 4px;
    white-space: nowrap;
    color: #D3F355;
    font-family: 'Outfit', sans-serif;
    letter-spacing: 0.1em;
    font-size: 14px;
    font-weight: 700;
}
.marquee-two {
    flex-shrink: 0;
    padding: 0 4px;
    white-space: nowrap;
    color: #141D4F;
    font-family: 'Outfit', sans-serif;
    letter-spacing: 0.1em;
    font-size: 14px;
    font-weight: 700;
}

@keyframes marquee {
    0% {
        transform: translateX(0%);
    }
    100% {
        transform: translateX(-100%);
    }
}

.hero {
    position: relative;
    width: 100%;
    height: 80vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.hero-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(27, 67, 47, 0.4);
}

.hero-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
.hero-title {
    position: absolute;
    z-index: 1;
    font-family: 'New Amsterdam', sans-serif;
    font-size: 200px;
    font-weight: 700;
    transform: scaleY(1.8);
    -webkit-text-stroke: 1px #D3F355;
    letter-spacing: 4px;
    color: transparent;
    text-align: center;
    margin-top: 120px;
}

.hero-subtitle {
    position: absolute;
    top: 70%;
    z-index: 1;
    font-family: 'Mynerve', cursive;
    font-size: 20px;
    font-weight: 700;
    color: #ffffff;
    text-align: center;
    margin-top: 40px;
}

.alex-description {
    display: flex;
    justify-content: center;
    background-color: #EEE8CC;
    padding: 40px;
}

.alex-description .large-subheader{
    width: 960px;
}

.large-subheader {
    font: 400 24px/1.5 'Outfit', sans-serif;
    color: #12362D;
    text-align: center;
    letter-spacing: 1px;
    line-height: 1.5;
    padding-left: 8%;
    padding-right: 8%;
}

.large-subheader .highlight {
    position: relative;
    display: inline-block;
    z-index: 1;
}

.large-subheader .highlight::before {
    content: '';
    position: absolute;
    left: -0.1em;
    right: -0.1em;
    top: 0.1em;
    bottom: 0.1em;
    background-color: #D3F355;
    z-index: -1;
    transform: rotate(-6deg);
}

.large-subheader .squiggle {
    text-decoration: underline;
    text-decoration-color: #EA5F38;
    text-underline-offset: 4px;
    text-decoration-thickness: 3px;
}

.past-races {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #EEE8CC;
    padding: 20px;
}

.race-zhanghattan {
    width: 100%;
}

.race-block {
    display: flex;
    flex-direction: row;
    background-color: #EEE8CC;
    align-items: center;
}

.past-race-image {
    max-width: 600px;
    width: 50%;
    padding-left: 0px;
}

.race-stats {
    font-size: 24px;
    font-weight: 300;
    color: #141D4F;
    line-height: 1.5;
}

.past-race-description {
    align-items: left;
    padding-left: 80px;
    width: 50%;
    padding: 60px;
}

.past-race-description .race-logo{
    max-width: 100%;
    height: auto;
}

.other-races {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #EEE8CC;
    padding: 40px;
}

.other-races-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 40px;
    text-align: center;
    padding-bottom: 60px;
}

.other-race-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #ffffff;  
    padding: 16px;
    border-radius: 100px / 100px;
    width: 140px;
    height: 280px;
    border: 2px solid #D3F355;
    box-shadow: 5px 5px 0 #D3F355;
    font-size: 16px;
}

.other-race-block hr {
    width: 50%;
    height: 3px;
    background-color: #D3F355;
    border: none;
    margin-top: 8px;
}

.other-race-block img {
    height: 120px;
    object-fit: cover;
    margin-top: 16px;
}

#about {
    display: flex;
    flex-direction: row;
    position: relative;
}

#about h1 {
    flex: 1;
    width: 100%;
    position: absolute;
    z-index: 10;
    color: #FFFFFF;
    padding-top: 60px;
    z-index: 20;
}

.about-content {
    display: flex;
    flex-direction: row;
    padding-top: 20px;
}

.green-panel {
    background-color: #12362D;
    position: absolute;
    width: 50%;
    height: 100%;
    z-index: 0;
}

.blue-panel {
    background-color: #141D4F;
    position: absolute;
    right: 0;
    width: 50%;
    height: 100%;
    z-index: 0;
}

.about-right, .about-left {
    text-align: center;
    padding: 60px;
    z-index: 10;
    color: #FFFFFF;
    justify-content: center;
    align-items: center;
}

.image-about {
    z-index: 10;
    padding-top: 120px;
    justify-content: center;
    align-items: center;
}

.image-about img {
    height: 280px;
    border-radius: 24px;
    border: 8px solid #D4414F;
    margin-top: 80px;
}

.connect-button {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 16px;
    margin-top: 40px;
    text-decoration: none;
    text-transform: uppercase;
    color: #D4414F;
}

.icon {
    height: 48px;
    justify-content: center;
    align-items: center;
}

#writings {
    position: relative;
    background-color: #EA5F38;
    padding: 40px;
    padding-left: 10%;
    justify-content: center;
    align-items: center;
    margin: 0px;
}

#writings  .writings-header {
    color: #FFFFFF;
    text-align: left;
    width: 80%;
    padding-bottom: 40px;
}

#writings .writings-header h1 {
    color: #FFFFFF;
    text-align: left;
}

.article-container {
    padding-bottom: 40px;
}

.article-block {
    background-color: #D3F355;
    border-radius: 10px;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 40px;
    padding-right: 40px;
    border: 2px solid #FFFFFF;
    box-shadow: 5px 5px 0 #FFFFFF;
    z-index: 2;
}

.article-block h2 {
    font-family: 'Outfit', sans-serif;
    text-transform: uppercase;
    text-decoration: underline;
    font-size: 18px;
    font-weight: 700;
    color: #141D4F  ;
    margin-top: 0px;
    margin-bottom: 8px;
    letter-spacing: 0.05em;
}

.article-block p {
    font-family: 'Outfit', sans-serif;
    font-size: 14px;
    font-weight: 400;
    color: #141D4F;
    letter-spacing: 0.05em;
    margin-top: 0px;
    margin-bottom: 0px;
    line-height: 1.5;
}

#quote {
    display: flex;
    flex-direction: column;
    position: relative;
    z-index: 1;
    width: 100%;  
    align-items: center;
    margin: 0px;
}


.quote-overlay {
    position: absolute;
    width: 100%;
    height: 100%;   
    background: rgba(0, 0, 47, 0.4);
    z-index: 0;
}

.quote-image {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    z-index: 0;
}
.quote-text {
    width: 80%;
    max-width: 700px;
    position: relative;
    margin-top: 100px;
    font-family: 'Mynerve', cursive;
    font-size: 2em;
    font-weight: 700;
    letter-spacing: 4px;
    line-height: 1.5;
    color: #FFFFFF;
    text-align: left;
    width: 70%;
}

.quote-alex {
    width: 80%;
    max-width: 700px;
    position: relative;
    margin-top: 20px;
    font-family: 'Mynerve', cursive;
    font-size: 3em;
    font-weight: 700;
    color: #ffffff;
    text-align: right;
}

.zhanghattan-page {
    background-color: #141D4F;
}

.race-hero {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding-top: 60px;
    padding-left: 2%;
    padding-right: 2%;
    
}

.race-hero .title {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.race-hero h2{
    color: #D3F355;
    padding: 0px;
}

.map {
    max-width: 200px;
    width: 100%;
    height: auto;
}

.logo {
    width: 100%;
    height: auto;
}

.stats {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    background-color: #FFFFFF;
    border-radius: 10px;
    max-width: 600px;
    margin: 40px auto;
}

.stats-label {
    font-size: 14px;
    text-transform: uppercase;
    font-weight: 700;
    color: #C1C1C1;
    letter-spacing: 0.05em;
    margin-bottom: 0px;
}

.stats-value {
    font-size: 24px;
    font-weight: 700;
    color: #144136;
    letter-spacing: 0.05em;
    margin-bottom: 8px;
    margin-top: 0px;
}

.stats-item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 33%;
    padding: 20px;
}

.description {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: auto;
    max-width: 800px;
}

.description h2 {
    color: #FFFFFF;
}

.zhanghattan-page hr {
    height: 2px;
    background-color: #D3F355;
    border: none;
    margin: 40px;
}

.race-photos {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    width: 100%;
}

.photo-row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    max-width: 1200px;
}

.photo-row img {
    max-width: 100%;
    height: auto;
    object-fit: cover;
}

.aid-stations {
    padding-left: 40px;
    padding-right: 40px;
    max-width: 1200px;
    margin: 0 auto;
}

.race-table {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 3fr;
}

.race-table .table-header {
    padding-bottom: 20px;
}

.race-table p {
    color: #FFFFFF;
    line-height: 1.5;
}

.race-table > div {
    text-align: left;
} 

.pacers-and-crew {
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding-left: 40px;
    padding-right: 40px;

}

.pacers-and-crew .pacers{
    display: flex;
    flex-direction: column;
    justify-content: top;
    align-items: left;
    width: 30%;
}

.pacers-and-crew .crew{
    display: flex;
    flex-direction: column;
    justify-content: top;
    align-items: left;
}

.pacers-and-crew .stats-label {
    padding-bottom: 20px;
}

.pacers-and-crew p {
    color: #FFFFFF;
    line-height: 0px;
}

.nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background-color: transparent;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
}

.nav-logo {
    height: 32px;
}

.nav-links {
    display: flex;
    justify-content: right;
    align-items: center;
    gap: 3rem;
    list-style: none;
}

.nav-links li a {
    color: #FFFFFF;
    font-size: 16px;
    font-weight: 700;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    text-decoration: none;
} 

.nav-links li a:hover {
    color: #D3F355;
    cursor: pointer;
    text-decoration: underline;
    text-underline-offset: 0.4em;
}

.hoka-container {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #D4414F;
    min-height: 700px;
}

.hokas-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    z-index: 1;
}

.hoka-header {
    position: absolute;
    top: 5%;
    left: 5%;
    width: 50%;
    text-align: center;
    align-items: center;
    justify-content: center;
    z-index: 2;
    max-width: 700px;
}

.hoka-logo {
    max-width: 220px;
}

.hoka-headline h1 {
    color: #FFFFFF;
    padding: 0px;
    align-items: center;
}

.hoka-header p {
    color: #FFFFFF;
    padding: 0px;
    transform: rotate(-5deg);
}

.hoka-headline {
    display: flex;
    align-items: center;
    justify-content: center;
    align-content: center;
    transform: rotate(-5deg);
}

.hoka-counter{
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 240px;
    background-color: #1E2749;
    width: 280px;
    align-items: center;
    margin: 40px auto;
    border-radius: 10px;
    z-index: 2;
}

.hoka-count {
    display: flex;
    flex-direction: row;
    color: white;
    gap: 10px;
    font-size: 3em;
    margin-top: 20px;
}


.hoka-number-box {
    display: flex;
    flex-direction: row;
    gap: 20px;
    padding: 20px;
    background-color: #2F3B79;
    font-size: 120px;
    border-radius: 10px;
    width: 80px;
    justify-content: center;
}

.hoka-count-label {
    font-size: 1em;
    padding: 20px;
    display: block;
    text-align: center;
    color: #FFFFFF;
}

.hoka-sponsor {
    position: absolute;
    top: 10%;
    right: 5%;
    background-color: #FFD1DC;
    text-transform: uppercase;
    color: #1E2749;
    padding: 15px;
    border-radius: 50%;
    max-width: 300px;
    text-align: center;
    transform: rotate(15deg);
    border: 3px solid #1E2749;
    box-shadow: 5px 5px 0 #1E2749;
}

.marquee-two {
    position: absolute;
    top: 620px;
    width: 100%;
    overflow: hidden;
    background: #D3F355;
    padding: 10px 0;
    z-index: 2;
    margin-bottom: 30px;
}

.other-sponsors {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #242222;
    padding: 80px;
}

.other-sponsors h2 {
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 700;
    color: #656565;
    letter-spacing: 0.05em;
    text-align: center;

}

.sponsors {
    display: flex;
    flex-direction: row;
    gap: 2em;
    flex-wrap: wrap;
    justify-content: center;
    padding: 0px;
}

.sponsors .sponsor-logo {
    max-height: 100px;
}


@media (max-width: 781px) {

    .nav-toggle {
        display: block;
        background: none;
        border: none;
        cursor: pointer;
        padding-right: 30px;
        position: relative;
        z-index: 1001; /* Ensure it's above the menu */
    }

    .hamburger,
    .hamburger::before,
    .hamburger::after {
        display: block;
        position: absolute;
        height: 4px;
        width: 30px;
        background-color: #FFFFFF;
        transition: transform 0.3s ease-in-out;
    }

    .hamburger::before {
        content: '';
        top: -8px;
    }

    .hamburger::after {
        content: '';
        top: 8px;
    }

    /* X animation */
    .nav-toggle.active .hamburger {
        background-color: transparent;
    }

    .nav-toggle.active .hamburger::before {
        transform: rotate(45deg) translate(5px, 5px);
    }

    .nav-toggle.active .hamburger::after {
        transform: rotate(-45deg) translate(7px, -8px);
    }

    .nav-links {
        position: fixed;
        top: 0;
        right: 0;
        height: 100vh;
        width: 70%;
        background-color: #141D4F;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        transform: translateX(100%);
        transition: transform 0.3s ease-in-out;
        z-index: 1000;
    }

    .nav-links.active {
        transform: translateX(0);
    }

    .nav-links li {
        margin: 1em 0;
    }

    .hero {
        position: relative;
        width: 100%;
        height: 60vh;
        overflow: hidden;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .hero-title {
        font-size: 100px;
    }

    .hero-subtitle {
        font-size: 16px;
    }    
    
    .past-races {
        display: block;
        margin: 0 auto;
    }

    .race-zhanghattan {
        display: block;
        align-items: center;
        background-color: #EEE8CC;

    }

    .race-block {
        display: block;
        flex-direction: column;
        align-items: center;
        background-color: #EEE8CC;
    }

    .other-races-container {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 40px;
        text-align: center;
        padding-bottom: 40px;
    }
    
    .other-race-block {
        display: flex;
        flex-direction: row;
        justify-content: center;
        background-color: #ffffff;  
        border-radius: 100px / 100px;
        width: 90%;
        height: 140px;
        border: 2px solid #D3F355;
        box-shadow: 5px 5px 0 #D3F355;
        font-size: 16px;
    }
    
    .other-race-block hr {
        display: none;
    }
    
    .other-race-block img {
        height: 120px;
        object-fit: cover;
        padding-right: 20px;
    }
    
    .past-race-image {
        display: block;
        margin: 0 auto;
        width: 100%;
    }

    .past-race-description {
        align-items: center;
        width: 80%;
        background-color: #EEE8CC;
        padding: 5%;
    }
    
    .race-stats {
        font-size: 24px;
        font-weight: 300;
        color: #141D4F;
        line-height: 1.5;
    }
    

    .about-container {
        display: flex;
        flex-direction: column;
        position: relative;
    }
    
    .about-content {
        display: flex;
        flex-direction: column;
        padding-top: 80px;
        align-content: center;
    }
    
    .green-panel {
        background-color: #12362D;
        position: absolute;
        top: 0;
        width: 100%;
        height: 50%;
        z-index: 0;
    }
    
    .blue-panel {
        position: absolute;
        bottom: 0;
        width: 100%;
        height: 50%;
        z-index: 0;
    }
    
    .image-about {
        display: flex;
        padding-top: 0px;
        justify-content: center;
        align-items: center;
    }
    
    .image-about img {
        margin-top: -30px;
        justify-content: center;
        
    }   
    
    .hoka-container {
        min-height: 800px;
    }

    .hokas-background {
        top: 251px;
        object-fit: scale-down;
        object-position: center;
    }

    .hoka-header {
        width: 90%;
    }
    
    .hoka-header p {
        width: 420px;
    }

    .hoka-counter{
        top: 340px;
    }

    .hoka-sponsor {
        top: 30%;
    }

    .marquee-two {
        top: 720px;
    }

    .quote-text {
        width: 80%;
        max-width: 700px;
        position: relative;
        font-family: 'Mynerve', cursive;
        font-size: 28px;
        font-weight: 700;
        letter-spacing: 4px;
        line-height: 1.5em;
        color: #FFFFFF;
        text-align: left;
        width: 70%;
    }
    
    .quote-alex {
        width: 80%;
        max-width: 700px;
        position: relative;
        margin-top: 20px;
        font-family: 'Mynerve', cursive;
        font-size: 2em;
        font-weight: 700;
        color: #ffffff;
        text-align: right;
    }

    .stats {
        display: flex;
        flex-direction: column;        
        background-color: #FFFFFF;
        border-radius: 10px;
        margin-left: 8%;
        margin-right: 8%;
        padding-left: 0px;
        padding-right: 0px;
    }

    .stats-item {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 80%;
        padding: 8px;
    }

    .race-table {
        grid-template-columns: 1fr 1fr;
      }
      
      .table-header {
        display: none;
      }
      
      .race-table > div:nth-child(4n+1)::before {
        content: "Number: ";
        font-weight: bold;
      }
      
      .race-table > div:nth-child(4n+2)::before {
        content: "Mile: ";
        font-weight: bold;
      }
      
      .race-table > div:nth-child(4n+3)::before {
        content: "Loop: ";
        font-weight: bold;
      }
      
      .race-table > div:nth-child(4n)::before {
        content: "Aid Station: ";
        font-weight: bold;
      }

      .race-hero {
        flex-direction: column;
      }

      .race-table .p {
        line-height: 1.5;
      } 

      .race-hero .title {
        padding-left: 8%;
        padding-right: 8%;
        padding-top: 0px;
    }

    }
